Access - List Role Binding Name List
Organisatierolbindingen
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Confluent/organizations/{organizationName}/access/default/listRoleBindingNameList?api-version=2024-07-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
Naam van organisatieresource |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is niet hoofdlettergevoelig. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Type | Description |
|---|---|---|
| searchFilters |
object |
Zoekfilters voor de aanvraag |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De Azure-bewerking is voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Access_RoleBindingNameList
Voorbeeldaanvraag
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Confluent/organizations/myOrganization/access/default/listRoleBindingNameList?api-version=2024-07-01
{
"searchFilters": {
"crn_pattern": "crn://confluent.cloud/organization=1aa7de07-298e-479c-8f2f-16ac91fd8e76",
"namespace": "public,dataplane,networking,identity,datagovernance,connect,streamcatalog,pipelines,ksql"
}
}
Voorbeeldrespons
{
"data": [
"MetricsViewer",
"OrganizationAdmin",
"Operator",
"NetworkAdmin",
"ResourceKeyAdmin",
"AccountAdmin"
],
"kind": "RoleDisplayNameList",
"metadata": {
"first": "https://api.confluent.cloud/iam/v2/role-bindings",
"last": "https://api.confluent.cloud/iam/v2/role-bindings?page_token=bcAOehAY8F16YD84Z1wT",
"next": "https://api.confluent.cloud/iam/v2/role-bindings?page_token=UvmDWOB1iwfAIBPj6EYb",
"prev": "https://api.confluent.cloud/iam/v2/role-bindings?page_token=YIXRY97wWYmwzrax4dld",
"total_size": 123
}
}
Definities
| Name | Description |
|---|---|
|
Access |
Details van de rolbindingsnamen die worden geretourneerd bij een geslaagd antwoord |
|
Confluent |
Metagegevens van de lijst |
|
Error |
Antwoordtekst van fout |
|
List |
Toegangsaanvraagmodel weergeven |
|
Resource |
Standaardfoutreactie voor resourceprovider |
AccessRoleBindingNameListSuccessResponse
Details van de rolbindingsnamen die worden geretourneerd bij een geslaagd antwoord
| Name | Type | Description |
|---|---|---|
| data |
string[] |
Lijst met namen van rolbindingen |
| kind |
string |
Type antwoord |
| metadata |
Metagegevens van de lijst |
ConfluentListMetadata
Metagegevens van de lijst
| Name | Type | Description |
|---|---|---|
| first |
string |
Eerste pagina van de lijst |
| last |
string |
Laatste pagina van de lijst |
| next |
string |
Volgende pagina van de lijst |
| prev |
string |
Vorige pagina van de lijst |
| total_size |
integer (int32) |
Totale grootte van de lijst |
ErrorResponseBody
Antwoordtekst van fout
| Name | Type | Description |
|---|---|---|
| code |
string |
Foutcode |
| details |
Foutdetails |
|
| message |
string |
Foutmelding |
| target |
string |
Foutdoel |
ListAccessRequestModel
Toegangsaanvraagmodel weergeven
| Name | Type | Description |
|---|---|---|
| searchFilters |
object |
Zoekfilters voor de aanvraag |
ResourceProviderDefaultErrorResponse
Standaardfoutreactie voor resourceprovider
| Name | Type | Description |
|---|---|---|
| error |
Antwoordtekst van fout |